<?php

/*

    予約表示

*/

require_once( 'include.php' );

$errmsg = FALSE;

header( 'Pragma: no-cache' );
header( 'Cache-Control: no-cache' );

try{
    $reservfile = get_reservfile();
    $reserv_array = array();
    if( file_exists( $reservfile ) ) read_csv( $reservfile, $reserv_array );
}
catch( Exception $e ){ $errmsg = $e->getMessage(); }


///////////////////////////////////////////////


// 表示

$time = time();
$year = (int)date( 'Y', $time );
$month = (int)date( 'm', $time );
$day = (int)date( 'd', $time );
$hour = (int)date( 'H', $time );
$min = (int)date( 'i', $time );
$week = (int)date( 'w', $time );

$week_array = array( '日', '月', '火', '水', '木', '金', '土' );
$strdate = '現在時刻 '.$year.' 年 '.$month.' 月 '.$day.' 日 ('.$week_array[ $week ].') '.$hour.' 時'.$min.' 分';

print(
    $strdate.'<br /><br />'.
    '<form action="./reservedit.php" method="post">'
    );

show_reservtable( $reserv_array, 0, count( $reserv_array )-1 );

print( 
    '<input type="submit" name="edit'.( count( $reserv_array ) + 1 ).'" value="追加">'.
    '</form>'. 
    '<br />'
    );

// エラー表示
show_err( $errmsg );

?>
